











/* ============================= */
/* HEADER                        */
/* ============================= */

header {
    height: 100px;
    background-color: white;
/*    min-width: 1312px;*/
    position: sticky;
    top: 0px;
    z-index: 9999;



}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.texto-sobre-imagem {
            position: absolute;
            top: 40%;
            left: 45%;
            transform: translate(-30%, -30%);
            color: red; /* Cor do texto */
            text-shadow: -2px -2px 2px black, 2px -2px 2px black, -2px 2px 2px black, 2px 2px 2px black; /*Contornos das letras*/
            font-size: 100px; /* Tamanho da fonte */
            font-weight: bold; /* Peso da fonte, se desejar */
        }

/* HEADER FULL WIDTH */
.hero-header {
    position: sticky;
    top: 0;
    z-index: 9999;

    width: 100vw;
    height: 100px;
    overflow: hidden;
}

/* imagem full width REAL */
.header-bg {
    position: absolute;
    inset: 0;

    background-image: url("/static/img/pagina.inicial.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    z-index: 0;
}

/* conteúdo alinhado com o site */
.header-inner {
    position: relative;
    z-index: 1;

    max-width: 1310px;
    height: 100%;
    margin: 0 auto;
}


/* IMAGEM DO HEADER */
.header-inner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}


/* container do texto sobre a imagem */
.texto-sobre-imagem {
    position: absolute;
    top: 41%;
    left: 40%;
    transform: translate(-30%, -30%);
    pointer-events: none;
}

/* LOGO DO HEADER (começa invisível) */
.logo-v2-header {
    display: flex;
    align-items: center;
    font-family: 'Poppins', system-ui, sans-serif;
    margin: 0;
    white-space: nowrap;

    opacity: 0;
    transform: translateY(-10px);
    transition: opacity 2s ease, 
    transform 1s ease;
}

/* quando o scroll ativa */
.hero-header.show-logo .logo-v2-header {
    opacity: 1;
        transition:
        opacity 2s ease-in,
        transform 1s ease-in;
}

/* letra B */
.logo-b-header {
    font-size: 120px;
    font-weight: 800;
    color: #dc2626;
    font-style: italic;
    line-height: 1;
    margin-right: 4px;
    margin-bottom: 40px;
}

/* resto do nome */
.logo-rest-header {
    font-size: 95px;
    font-weight: 600;
    color: #ffdd00;
    font-style: italic;
    line-height: 1;
    margin-bottom: 40px;
}
